<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
    <link rel="stylesheet" href="style.css">
</head>

<body>
<div id="showprice" class="cover hidden"><span id="output"></span><button id="button" class="active"> x </button></div><br>
<div class="label">Price: <input id="input" type="text"></div>
<div id="error"></div>
<script>
input.onchange = function () {
    if((input.value > 0) || (input.value > 0 && input.value.includes(" "))) {
    output.innerHTML = " Current price: " + input.value + " $ ";
    input.classList.add('correct', 'colored');
    input.classList.remove('invalid');
    button.classList.remove('hidden');
    showprice.classList.remove('hidden');
    showprice.classList.add('cover');
    error.innerHTML = ""
    }
    if(input.value <= 0 || isNaN(input.value)) {
        input.classList.add('invalid');
        input.classList.remove('correct', `colored`);
        error.innerHTML = "Please enter correct price";
        showprice.classList.add('hidden');
        showprice.classList.remove('cover');
        output.innerHTML = '';
    }
};
input.onfocus = function() {
    input.classList.add('correct');
};
input.onblur = function() {
    if(input.value < 0 || isNaN(input.value)) {
        input.classList.add('invalid');
        input.classList.remove('correct', `colored`);
        error.innerHTML = "Please enter correct price";
        output.innerHTML = '';
    }
    else {
        input.classList.remove('correct', 'invalid');
        error.innerHTML = '';
    }
};
button.onclick = function () {
    output.innerHTML = '';
    input.value = '';
    input.classList.remove('colored');
    showprice.classList.add('hidden');
    showprice.classList.remove('cover');
}

</script>
</body>
</html>
<!--опрацювувач подій - це функція, яка спрацьовує, як тільки відбулася подія-->